package com.listener;

import com.config.SpringConfig;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class ContextLoadListener implements ServletContextListener {
    public void contextInitialized(ServletContextEvent sce) {
//        ServletContextListener.super.contextInitialized(sce);
        ServletContext servletContext = sce.getServletContext();
        // 获取web.xml中默认设置参数
        String initParameter = servletContext.getInitParameter("testName");
        System.out.println(initParameter);
        AnnotationConfigApplicationContext annotationConfigApplicationContext = new AnnotationConfigApplicationContext(SpringConfig.class);
        servletContext.setAttribute("app",annotationConfigApplicationContext);
        System.out.println("servletContextLoader");
    }

    public void contextDestroyed(ServletContextEvent sce) {
//        ServletContextListener.super.contextDestroyed(sce);
    }
}
